## r-cran-r2html 2.3.3+dfsg

=== DESCRIPTION ===
Package: R2HTML
Version: 2.3.3
Date: 2022-05-22
Title: HTML Exportation for R Objects
Authors@R: c(person(given="Eric", family="Lecoutre", email="eric.lecoutre@gmail.com",
                    role=c("aut")),
             person(given="Milan", family="Bouchet-Valat", email="nalimilan@club.fr",
                    role=c("cre", "ctb")),
             person(given="Thomas", family="Friedrichsmeier", email="tfry@users.sf.net",
                    role=c("ctb")))
Depends: R (>= 2.0)
Imports: stats, graphics, utils, grDevices, methods
Suggests: boot, splines, survival, cluster, nlme, rpart, nnet
Description: Includes HTML function and methods to write in an HTML
        file. Thus, making HTML reports is easy. Includes a function
        that allows redirection on the fly, which appears to be very
        useful for teaching purpose, as the student can keep a copy of
        the produced output to keep all that he did during the course.
        Package comes with a vignette describing how to write HTML
        reports for statistical analysis. Finally, a driver for 'Sweave'
        allows to parse HTML flat files containing R code and to
        automatically write the corresponding outputs (tables and
        graphs).
License: GPL (>= 2)
URL: https://github.com/nalimilan/R2HTML
NeedsCompilation: no
Packaged: 2022-05-23 09:21:45 UTC; milan
Author: Eric Lecoutre [aut],
  Milan Bouchet-Valat [cre, ctb],
  Thomas Friedrichsmeier [ctb]
Maintainer: Milan Bouchet-Valat <nalimilan@club.fr>
Repository: CRAN
Date/Publication: 2022-05-23 09:40:02 UTC

=== debian/changelog ===
r-cran-r2html (2.3.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.3+dfsg
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 28 May 2022 12:07:52 +0530

r-cran-r2html (2.3.2+dfsg-2) unstable; urgency=medium

  * Team upload.
    + Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 26 Feb 2022 20:04:14 +0530

r-cran-r2html (2.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Initial release (closes: #991490)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Nov 2021 13:44:11 +0100

=== debian/control ===
Source: r-cran-r2html
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r2html
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r2html.git
Homepage: https://cran.r-project.org/package=R2HTML
Rules-Requires-Root: no

Package: r-cran-r2html
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: HTML Exportation for R Objects
 Includes HTML function and methods to write in an HTML
 file. Thus, making HTML reports is easy. Includes a function
 that allows redirection on the fly, which appears to be very
 useful for teaching purpose, as the student can keep a copy of
 the produced output to keep all that he did during the course.
 Package comes with a vignette describing how to write HTML
 reports for statistical analysis. Finally, a driver for 'Sweave'
 allows one to parse HTML flat files containing R code and to
 automatically write the corresponding outputs (tables and
 graphs).

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack" \
  https://cloud.r-project.org/src/contrib/R2HTML_([-\d.]*)\.tar\.gz

## r-cran-r2html 2.3.4+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: R2HTML
-Version: 2.3.3
-Date: 2022-05-22
+Version: 2.3.4
+Date: 2024-06-16
 Title: HTML Exportation for R Objects
 Authors@R: c(person(given="Eric", family="Lecoutre", email="eric.lecoutre@gmail.com",
                     role=c("aut")),
@@ -24,10 +24,10 @@
 License: GPL (>= 2)
 URL: https://github.com/nalimilan/R2HTML
 NeedsCompilation: no
-Packaged: 2022-05-23 09:21:45 UTC; milan
+Packaged: 2024-06-16 13:48:36 UTC; milan
 Author: Eric Lecoutre [aut],
   Milan Bouchet-Valat [cre, ctb],
   Thomas Friedrichsmeier [ctb]
 Maintainer: Milan Bouchet-Valat <nalimilan@club.fr>
 Repository: CRAN
-Date/Publication: 2022-05-23 09:40:02 UTC
+Date/Publication: 2024-06-16 17:40:02 UTC

=== debian/changelog ===
r-cran-r2html (2.3.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Wed, 19 Jun 2024 09:28:35 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-r2html
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r2html
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r2html.git
+Homepage: https://cran.r-project.org/package=R2HTML
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-r2html
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-r2html.git
-Homepage: https://cran.r-project.org/package=R2HTML
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-r2html
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	cd debian/missing-sources && tar xaf grid.js.tar.xz
	mkdir -p $(debRlib)/$(cranNameOrig)/output/runtime
	mv debian/missing-sources/lib $(debRlib)/$(cranNameOrig)/output/runtime
	sed -i 's#http.*://www.r-project.org/[Rr]logo.jpg#file:///usr/share/doc/$(package)/Rlogo.png#' $(debRlib)/$(cranNameOrig)/samples/*.html

override_dh_fixperms:
	dh_fixperms
	find debian \( -name CITATION -o -name "*.html" -o -name "*.zip" -o -name "*.txt" -o -name "*.ini" -o -name "*.xml" -o -name "*.snw" -o -name "*.htc" \) -exec chmod -x \{\} \;
